Bug 1128845 - katello-install needs to install rubygem-hammer_cli_import by default
Summary: katello-install needs to install rubygem-hammer_cli_import by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Jason Montleon
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:51 UTC by Grant Gainey
Modified: 2016-04-22 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:25:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 7084 None None None 2016-04-22 15:48:09 UTC

Description Grant Gainey 2014-08-11 15:51:19 UTC
As part of the beta, the transition tool plugin for hammer, hammer-cli-import, was optional. The desire for GA is to have that happen as part of the base Sat6 installation.

Can we get this applied to katello.spec?

===
diff --git a/deploy/katello.spec b/deploy/katello.spec
index 2aa41d4..0e1e0f7 100644
--- a/deploy/katello.spec
+++ b/deploy/katello.spec
@@ -42,6 +42,7 @@ Requires:       %{name}-installer
 Requires:       rubygem-hammer_cli
 Requires:       rubygem-hammer_cli_foreman
 Requires:       rubygem-hammer_cli_katello
+Requires:       rubygem-hammer_cli_import
 
 #foreman plugins and optional packages
 Requires:       ruby193-rubygem-foreman_bootdisk
===

Comment 1 RHEL Product and Program Management 2014-08-11 15:54:13 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Jason Montleon 2014-08-14 13:36:04 UTC
Proposed PR: https://github.com/Katello/katello/pull/4580

Comment 5 Bryan Kearney 2014-08-25 20:04:23 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7084 has been closed
-------------
Jason Montleon
Applied in changeset commit:katello|0a0777d79a5dd340588148ab1d241013eb0c96bb.

Comment 8 Bryan Kearney 2014-09-11 12:25:55 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.